Subject: bug#53462: Guile 2.0.14: check fails on i686

From: Maxime Devos <[email-masked]>
Date: Sun, 23 Jan 2022 11:47:42 +0100

Denis 'GNUtoo' Carikli schreef op zo 23-01-2022 om 01:33 [+0100]:
> Hi,
> 
> With Guix system i686, at the following commit:
> > cadcbbaf65 gnu: r-bigmelon: Add r-knitr.
> guile 2.0.14 fails tests.
> 
> I've attached the log.
> 
> I'm unsure what to do here as it's Guile 2.0.14 and on Guile website I
> only see Guile 3.0.7 and guile 2.2.7[1], and Guile 2.0.14 s from
> 2017[2].

FAIL: numbers.test: Number-theoretic division: euclidean/: mixed types:
(130.0 10/7) [other errors]

See <https://issues.guix.gnu.org/49368>.  That's for Guile 3.0.7, but
it seems like the same issue exists for Guile 2.0.14.

It seems like the fix needs to be moved to guile-2.0.  Some care might
be required to avoid rebuilds.

Greetings,
Maxime.